package com.blueland.dao;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.blueland.model.TPfApplication;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.blueland.bo.ApplicationEntity;


@Mapper
@InterceptorIgnore(tenantLine = "true")
public interface ApplicationDao extends BaseMapper<TPfApplication> {
    /**
     * 根据条件查询查询tagApplication列表
     */
    List<ApplicationEntity> findApplicationListByParams(@Param("bo") Map<String, Object> tagApplication);

    Page<ApplicationEntity> findApplicationPageByParams(@Param("page") Page<ApplicationEntity> page, @Param("bo") Map<String, Object> tagApplication);

    Integer batchDelete(String[] appIds);

    //应用关联模块所有数据
    List<Map<String, Object>> appLinkModule();

    //获取用户所有有权限的应用
    List<ApplicationEntity> findApplicationListByUser(@Param(value = "userId") String userId);

    List<ApplicationEntity> findList(@Param("bo") ApplicationEntity entity);

    Page<ApplicationEntity> findPage(@Param("page")Page<ApplicationEntity> page, @Param("bo") ApplicationEntity entity);
}
